import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-01-26 17:22
 */
export interface BusBlackLpn{
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 01:入场消息
    * @type { string }
    */
    code?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusBlackLpnMI{ 
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','车牌号');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','01:入场消息');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


